cudaEglFrame(3)

NAME
cudaEglFrame -

SYNOPSIS

  Data Fields

cudaEglColorFormat eglColorFormat
cudaEglFrameType frameType
unsigned int planeCount
cudaEglPlaneDesc planeDesc [CUDA_EGL_MAX_PLANES]
cudaArray_t pArray [CUDA_EGL_MAX_PLANES]
struct cudaPitchedPtr pPitch [CUDA_EGL_MAX_PLANES]

Detailed Description

CUDA EGLFrame Descriptor - structure defining one frame of EGL.

Each frame may contain one or more planes depending on whether the surface is Multiplanar or not. Each plane of EGLFrame is represented by cudaEglPlaneDesc which is defined as:

 typedef struct cudaEglPlaneDesc_st {
     unsigned int width;
     unsigned int height;
     unsigned int depth;
     unsigned int pitch;
     unsigned int numChannels;
     struct cudaChannelFormatDesc channelDesc;
     unsigned int reserved[4];
 } cudaEglPlaneDesc;

Field Documentation

  cudaEglColorFormat cudaEglFrame::eglColorFormat

CUDA EGL Color Format

  cudaEglFrameType cudaEglFrame::frameType

Array or Pitch

  cudaArray_t cudaEglFrame::pArray[CUDA_EGL_MAX_PLANES]

Array of CUDA arrays corresponding to each plane

  unsigned int cudaEglFrame::planeCount

Number of planes

  cudaEglPlaneDesc cudaEglFrame::planeDesc[CUDA_EGL_MAX_PLANES]

CUDA EGL Plane Descriptor cudaEglPlaneDesc

  struct cudaPitchedPtr cudaEglFrame::pPitch[CUDA_EGL_MAX_PLANES] [read]

Array of Pointers corresponding to each plane

Author

Generated automatically by Doxygen from the source code.